OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
CreateOrderedPointIndexArrayOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Member Functions
| CreateOrderedPointIndexArrayOp (PointIndexType *orderedIndexArray, const PointIndexType *pointOrder, const PointIndexType *indices)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointIndexType *const | mOrderedIndexArray
PointIndexType const *const | mPointOrder
PointIndexType const *const | mIndices

## Constructor & Destructor Documentation

## ◆ CreateOrderedPointIndexArrayOp()

CreateOrderedPointIndexArrayOp | ( | PointIndexType * | orderedIndexArray,
|  | const PointIndexType * | pointOrder,
|  | const PointIndexType * | indices
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndices

PointIndexType const* const mIndices

## ◆ mOrderedIndexArray

PointIndexType* const mOrderedIndexArray

## ◆ mPointOrder

PointIndexType const* const mPointOrder

The documentation for this struct was generated from the following file:

- PointPartitioner.h